<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.62.3.10.1
Name: Lichaamsgewicht
Description: Body Weight
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000">
   <title>Lichaamsgewicht</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.1
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.1']]
Item: (Lichaamsgewicht)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.1
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.1']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.1']
Item: (Lichaamsgewicht)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.1']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.1']"
         id="d120e15-false-d207e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="string(@classCode)=('OBS')">(Lichaamsgewicht): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="string(@moodCode)=('EVN')">(Lichaamsgewicht): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.62.3.10.1'])&gt;=1">(Lichaamsgewicht): element hl7:templateId[@root='2.16.840.1.113883.3.1937.99.62.3.10.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.62.3.10.1'])&lt;=1">(Lichaamsgewicht): element hl7:templateId[@root='2.16.840.1.113883.3.1937.99.62.3.10.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="count(hl7:code[(@code='27113001' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&gt;=1">(Lichaamsgewicht): element hl7:code[(@code='27113001' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="count(hl7:code[(@code='27113001' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&lt;=1">(Lichaamsgewicht): element hl7:code[(@code='27113001' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="count(hl7:value)&gt;=1">(Lichaamsgewicht): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="count(hl7:value)&lt;=1">(Lichaamsgewicht): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.1
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.1']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.1']/hl7:templateId[@root='2.16.840.1.113883.3.1937.99.62.3.10.1']
Item: (Lichaamsgewicht)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.1']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.1']/hl7:templateId[@root='2.16.840.1.113883.3.1937.99.62.3.10.1']"
         id="d120e38-false-d275e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Lichaamsgewicht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="string(@root)=('2.16.840.1.113883.3.1937.99.62.3.10.1')">(Lichaamsgewicht): de waarde van @root MOET '2.16.840.1.113883.3.1937.99.62.3.10.1' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.1
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.1']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.1']/hl7:code[(@code='27113001' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]
Item: (Lichaamsgewicht)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.1']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.1']/hl7:code[(@code='27113001' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]"
         id="d120e43-false-d293e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Lichaamsgewicht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="@nullFlavor or (@code='27113001' and @codeSystem='2.16.840.1.113883.6.96')">(Lichaamsgewicht): de elementwaarde MOET een zijn van 'code '27113001' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.1
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.1']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.1']/hl7:value
Item: (Lichaamsgewicht)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.1']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.1']/hl7:value"
         id="d120e49-false-d313e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Lichaamsgewicht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=0)) or (@nullFlavor or (number($theValue)&lt;=249.9))">(Lichaamsgewicht): value MOET in bereik [0..] liggen   of in bereik [..249.9] liggen  </assert>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="$digitok or @nullFlavor">(Lichaamsgewicht): @value is geen geldig PQ getal <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Lichaamsgewicht): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="@value">(Lichaamsgewicht): attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="string(@unit)=('kg')">(Lichaamsgewicht): de waarde van @unit MOET 'kg' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.1
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.1']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.1']/hl7:entryRelationship
Item: (Lichaamsgewicht)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.1']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.1']/hl7:entryRelationship">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="string(@typeCode)=('COMP')">(Lichaamsgewicht): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.3
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.1']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.1']/hl7:entryRelationship
Item: (Gewichtstoename)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.3
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.1']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.1']/hl7:entryRelationship/ext:weightGain
Item: (Gewichtstoename)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.1']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.1']/hl7:entryRelationship/ext:weightGain">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.3-2011-01-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Gewichtstoename): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:BL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
   </rule>
</pattern>
