<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.62.3.10.2
Name: Lichaamslengte
Description: Body Height
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000">
   <title>Lichaamslengte</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.2']]
Item: (Lichaamslengte)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.2']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.2']
Item: (Lichaamslengte)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.2']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.2']"
         id="d120e230-false-d1577e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="string(@classCode)=('OBS')">(Lichaamslengte): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="string(@moodCode)=('EVN')">(Lichaamslengte): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.62.3.10.2'])&gt;=1">(Lichaamslengte): element hl7:templateId[@root='2.16.840.1.113883.3.1937.99.62.3.10.2'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.62.3.10.2'])&lt;=1">(Lichaamslengte): element hl7:templateId[@root='2.16.840.1.113883.3.1937.99.62.3.10.2'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="count(hl7:code[(@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(Lichaamslengte): element hl7:code[(@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="count(hl7:code[(@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(Lichaamslengte): element hl7:code[(@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="count(hl7:value)&gt;=1">(Lichaamslengte): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="count(hl7:value)&lt;=1">(Lichaamslengte): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.2']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.2']/hl7:templateId[@root='2.16.840.1.113883.3.1937.99.62.3.10.2']
Item: (Lichaamslengte)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.2']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.2']/hl7:templateId[@root='2.16.840.1.113883.3.1937.99.62.3.10.2']"
         id="d120e248-false-d1631e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Lichaamslengte): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="string(@root)=('2.16.840.1.113883.3.1937.99.62.3.10.2')">(Lichaamslengte): de waarde van @root MOET '2.16.840.1.113883.3.1937.99.62.3.10.2' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.2']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.2']/hl7:code[(@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (Lichaamslengte)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.2']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.2']/hl7:code[(@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d120e253-false-d1649e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Lichaamslengte): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="@nullFlavor or (@code='3137-7' and @codeSystem='2.16.840.1.113883.6.1')">(Lichaamslengte): de elementwaarde MOET een zijn van 'code '3137-7' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.2
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.2']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.2']/hl7:value
Item: (Lichaamslengte)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.2']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.62.3.10.2']/hl7:value"
         id="d120e259-false-d1669e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Lichaamslengte): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PQ" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="(@nullFlavor or (number($theValue)&gt;=0)) or (@nullFlavor or (number($theValue)&lt;=270))">(Lichaamslengte): value MOET in bereik [0..] liggen   of in bereik [..270] liggen  </assert>
      <let name="digitok"
           value="matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="$digitok or @nullFlavor">(Lichaamslengte): @value is geen geldig PQ getal <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Lichaamslengte): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="@value">(Lichaamslengte): attribute @value MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20161215T161450/tmp-2.16.840.1.113883.3.1937.99.62.3.10.2-2011-01-28T000000.html"
              test="string(@unit)=('cm')">(Lichaamslengte): de waarde van @unit MOET 'cm' zijn.</assert>
   </rule>
</pattern>
